<?php
/**
 * @var $_ array
 */
/**
 * @var $l \OCP\IL10N
 */
script(
	$_['appName'],
	'merged'
);
script(
	'files',
	[
		'upload',
		'file-upload',
		'jquery.fileupload',
	]
);
style(
	'files',
	[
		'upload'
	]
);
style(
	$_['appName'],
	[
		'styles',
		'share',
		'github-markdown',
		'slideshow',
		'gallerybutton',
		'upload',
		'mobile',
	]
);
?>
<div id="controls">
	<div id='breadcrumbs'></div>
	<div class="actions creatable">
		<div class="left">
			<!-- sorting buttons -->
			<div id="sort-name-button" class="button sorting left-switch-button">
				<div class="flipper">
					<img class="svg asc front" src="<?php print_unescaped(
						image_path($_['appName'], 'nameasc.svg')
					); ?>" alt="<?php p($l->t('Sort by name')); ?>"/>
					<img class="svg des back" src="<?php print_unescaped(
						image_path($_['appName'], 'namedes.svg')
					); ?>" alt="<?php p($l->t('Sort by name')); ?>"/>
				</div>
			</div>
			<div id="sort-date-button" class="button sorting right-switch-button">
				<div class="flipper">
					<img class="svg asc front" src="<?php print_unescaped(
						image_path($_['appName'], 'dateasc.svg')
					); ?>" alt="<?php p($l->t('Sort by date')); ?>"/>
					<img class="svg des back" src="<?php print_unescaped(
						image_path($_['appName'], 'datedes.svg')
					); ?>" alt="<?php p($l->t('Sort by date')); ?>"/>
				</div>
			</div>
		</div>
		<div id="uploadprogresswrapper">
			<div id="uploadprogressbar"></div>
			<button class="stop icon-close" style="display:none">
			<span class="hidden-visually">
				<?php p($l->t('Cancel upload')) ?>
			</span>
			</button>
		</div>
		<div class="right">
			<!-- sharing button -->
			<div id="shared-button" class="button">
				<img class="svg" src="<?php print_unescaped(
					image_path('core', 'actions/share.svg')
				); ?>" alt="<?php p($l->t("Share")); ?>"/>
			</div>
			<a class="share" data-item-type="folder" data-item=""
			   title="<?php p($l->t("Share")); ?>"
			   data-possible-permissions="31"></a>
			<!-- info button -->
			<div id="album-info-button" class="button">
				<span class="ribbon black"></span>
				<img class="svg" src="<?php print_unescaped(
					image_path('core', 'actions/info.svg')
				); ?>" alt="<?php p($l->t('Album information')); ?>"/>
			</div>
			<div class="album-info-container">
				<div class="album-info-loader"></div>
				<div class="album-info-content markdown-body"></div>
			</div>
			<!-- button for opening the current album as file list -->
			<div id="filelist-button" class="button view-switcher gallery">
				<div id="button-loading" class="hidden"></div>
				<img class="svg" src="<?php print_unescaped(
					image_path('core', 'actions/toggle-filelist.svg')
				); ?>" alt="<?php p($l->t('File list')); ?>"/>
			</div>
		</div>
	</div>
	<div id="file_action_panel"></div>
</div>
 <!--以上部分 是统一头部-->
  <div id="controls">
 <div id="actionBar" class="file-oper-bar">
     <div class="newFileMenudiv"></div>
     <!--这个地方是加入更多的操作菜单-->
     <div class="filemultiselectmenudiv hidden"></div>
     <div class="sort-cell">
         <div><a class="sort-btn name sort columntitle" data-sort="name"><i class="ton ton-sort"></i></a></div>
 
     </div>
 </div>
 <!--返回首页和 搜索框 栏目-->
 <div id="routerBar">
     <div class="brushed"> <!--这里js加入路径导航--> </div>
     <div class="fast-search">
         <form class="searchbox" action="#" method="post" role="search" novalidate>
	 
             <i class="ton ton-separation"></i>
             <label for="searchbox" class="hidden-visually">
                    <?php p($l->t('Search'));?>
            </label>
            <input id="searchbox" type="search" name="query" placeholder="搜索我的云盘文件"
                    value="" required class="hidden icon-search-white"
                    autocomplete="off">
            <button class="icon-close-white" type="reset"><span class="hidden-visually"><?php p($l->t('Reset search'));?></span></button>
             <!-- <i class="ton ton-separation"></i>
              <input class="search-input" type="text" name="keyword" value="" placeholder="搜索我的云盘文件"/>
              <a href="javascript:void(0);" class="click-btn"><i class="ton ton-search"></i></a>-->
         
          </form>
     </div>
 </div>
 		<div class="actions creatable hidden">
			<div id="uploadprogresswrapper">
				<div id="uploadprogressbar">
					<em class="label outer" style="display:none"><span class="desktop"><?php p($l->t('Uploading …'));?></span><span class="mobile"><?php p($l->t('…'));?></span></em>
				</div>
				<button class="stop icon-close" style="display:none">
					<span class="hidden-visually"><?php p($l->t('Cancel upload')) ?></span>
				</button>
			</div>
		</div>
		<div id="file_action_panel"></div>
		<div class="notCreatable notPublic hidden">
			<?php p($l->t('You don’t have permission to upload or create files here'))?>
		</div>
  </div>
 
<div id="gallery" data-allow-public-upload="<?php p($_['publicUploadEnabled'])?>" class="hascontrols"></div>
<div id="emptycontent" class="hidden"></div>
<input type="hidden" name="allowShareWithLink" id="allowShareWithLink" value="yes"/>
<input type="hidden" name="mailNotificationEnabled" id="mailNotificationEnabled"
	   value="<?php p($_['mailNotificationEnabled']) ?>"/>
<input type="hidden" name="mailPublicNotificationEnabled" id="mailPublicNotificationEnabled"
	   value="<?php p($_['mailPublicNotificationEnabled']) ?>"/>
<div class="hiddenuploadfield">
	<input type="file" id="file_upload_start" class="hiddenuploadfield" name="files[]"
		   data-url="<?php print_unescaped($_['uploadUrl']); ?>"/>
</div>
